###############################################
# Do not Edit! Generated by:
# spec-builder version 0.14
###############################################

Name: connman
Summary: Connection Manager
Group: Applications/System
Version: 0.36
License: GPLv2
URL: http://www.moblin.org/
Release: 4.1.moblin2
Source0: http://www.kernel.org/pub/linux/network/connman/connman-%{version}.tar.gz
Patch0: connman-init.patch
Patch1: 4848-check-wifi-security-mode.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(libudev) >= 136

BuildRequires: dhclient
BuildRequires: WiMAX-Network-Service-devel

Requires: dbus
Requires: dhclient >= 3.0.2
Requires: wpa_supplicant >= 0.5.7
Requires: bluez

%description
Connection Manager provides a daemon for managing Internet connections
within embedded devices running the Linux operating system.

%package devel

Summary: Development files for Connection Manager
Group: Development/Libraries

Requires: %{name} >= %{version}

%description devel
connman-devel contains development files for use with connman.

%package iwmxsdk

Summary: connman plugin for the Intel WiMAX Network Service
Group: System Environment/Networking

Requires: connman
Requires: WiMAX-Network-Service

Provides: connman-iwmxsdk

%description iwmxsdk
This plugin allows connman to work with WiMAX devices controlled by
the Intel WiMAX Network Service

%prep
%setup -q -n connman-%{version}
%patch0 -p1 -b .connman-ini
%patch1 -p1 -b .4848-check-wifi-security-mode

%build
%configure --enable-ethernet=builtin --enable-wifi=builtin --enable-dhclient=builtin --enable-bluetooth=builtin --enable-loopback=builtin --enable-dnsproxy=builtin --enable-iwmx --enable-threads --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang connman  || echo -n >> connman.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%post iwmxsdk -p /sbin/ldconfig

%postun iwmxsdk -p /sbin/ldconfig

%files -f connman.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_sbindir}/*
%{_libdir}/%{name}/scripts/*
%{_sysconfdir}/init.d/*
%config %{_sysconfdir}/dbus-1/system.d/*.conf

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc

%files iwmxsdk
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/iwmxsdk.so
%doc COPYING README INSTALL


%changelog
* Mon Aug  3 2009 Martin Xu <martin.xu@intel.com> 0.36
- modify patch fixing bug #4848 to resolve regression bug 4998
* Thu Jul 30 2009 Martin Xu <martin.xu@intel.com> 0.36
- add check wifi security mode patch (bug #4848)
* Mon Jul 27 2009 Martin Xu <martin.xu@intel.com> 0.36
- upgrade to 0.36
* Thu Jul 23 2009 Rusty Lynch <rusty.lynch@intel.com> 0.35
- upgrade to 0.35
* Tue Jul 21 2009 Martin Xu <martin.xu@intel.com> 0.34
- upgrade to 0.34
* Tue Jul 21 2009 Martin Xu <martin.xu@intel.com> 0.33
- upgrade to 0.33
* Tue Jul 21 2009 Martin Xu <martin.xu@intel.com> 0.30
- upgrade to 0.30
* Sat Jul 18 2009 Martin Xu <martin.xu@intel.com> 0.29
- upgrade to 0.29
* Sat Jul 18 2009 Martin Xu <martin.xu@intel.com> 0.28
- upgrade to 0.28
* Fri Jul 17 2009 Martin Xu <martin.xu@intel.com> 0.26
- upgrade to 0.26
* Fri Jul 17 2009 Martin Xu <martin.xu@intel.com> 0.25
- upgrade to 0.25
* Fri Jul 17 2009 Martin Xu <martin.xu@intel.com> 0.24
- upgrade to 0.24
* Sun Jul 12 2009 Martin Xu <martin.xu@intel.com> 0.23
- upgrade to 0.23
* Fri Jul 10 2009 Martin Xu <martin.xu@intel.com> 0.22
- upgrade to 0.22
* Tue Jul  7 2009 Martin Xu <martin.xu@intel.com> 0.21
- upgrade to 0.21
* Thu Jul  2 2009 Martin Xu <martin.xu@intel.com> 0.20
- upgrade to 0.20
- remove fix-1564.patch
- dhcp-sets-gateway-host-route.patch
- because the two patches have been included into 0.20 upstream
- add iwmxsdk subpackage to package connmand plugin for Intel wimax
* Wed May 27 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.19
- Add temporary fix (until next release) for DHCP servers whose gateway is not in the local network
* Tue May 19 2009 Martin Xu <martin.xu@intel.com> 0.19
- Fixed Service->Disconnect issue (bug #1564, #1817)
* Fri May 15 2009 Joshua Lock <josh@linux.intel.com> 0.19-1
- Upgrade to 0.19
* Wed May 13 2009 Martin Xu <martin.xu@intel.com> 0.17
- Upgrade to 0.17
- Add builtin plugin support
* Mon May 11 2009 Martin Xu <martin.xu@intel.com> 0.16
- Remove patch fix-bug-1558.patch
- Upgrade to 0.16
* Mon Apr 13 2009 Martin Xu <martin.xu@intel.com> 0.15
- Fixed flight mode enabling/disabling (bug #1558)
* Fri Mar 27 2009 Martin Xu <martin.xu@intel.com> 0.15
- Upgrade to 0.15
* Fri Mar 27 2009 Martin Xu <martin.xu@intel.com> 0.14
- Upgrade to 0.14
- remove connman-make-resolv.conf.patch
- remove fix-segment-fault.patch
* Mon Mar 23 2009 Martin Xu <martin.xu@intel.com> 0.13
- Add fix-segment-fault.patch to fix segment fault error
* Mon Mar 23 2009 Martin Xu <martin.xu@intel.com> 0.13
- Upgrade to 0.13
* Tue Mar 10 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.12
- Update to 0.12
* Tue Mar 10 2009 Martin Xu <martin.xu@intel.com> 0.11
- add bluez runtime dependency
* Fri Mar  6 2009 Martin Xu <martin.xu@intel.com> 0.11
- add fix-bug1118.patch to fix bug1118
* Mon Mar  2 2009 Martin Xu <martin.xu@intel.com> 0.11
- upgrade to 0.11
* Mon Feb 23 2009 Martin Xu <martin.xu@intel.com> 0.10
- remove connman-ugly-dirty-awful-hack-until-dbus-at_console-is-fixed.patch
* Wed Feb 18 2009 Martin Xu <martin.xu@intel.com> 0.10
- fix the url
* Thu Feb 12 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.10
- WiMAX fix #1
* Thu Feb 12 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.10
- Enable thread support (for WiMAX plugin)
* Fri Jan 23 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.10
- upgrade to 0.10, remove resolvconf plugin per Marcel's input
* Thu Jan 22 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.9
- upgrade to 0.9
* Tue Jan 20 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.8
- connman creates /etc/resolv.conf on startup instead of owning the file
* Fri Jan 16 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.8
- added missing patches
* Fri Jan 16 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.8
- add tests scripts for cmdline wifi selection, resolv.conf default config
* Mon Jan 12 2009 Anas Nashif <anas.nashif@intel.com> 0.8
- Fixed comment in xml file
* Mon Jan 12 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.8
- added an extremely ugly hack to fix the lack of dbus::at_console SHOULD BE PROPERLY FIXED
* Sat Jan 10 2009 Anas Nashif <anas.nashif@intel.com> 0.8
- Update to 0.8
* Fri Jan  9 2009 Anas Nashif <anas.nashif@intel.com> 0.7
- Update to 0.7
* Fri Dec 19 2008 Arjan van de Ven <arjan@linux.intel.com> 0.5
- Enable dbus permission for the policykit case
* Thu Dec 18 2008 Arjan van de Ven <arjan@linux.intel.com> 0.5
- test update to 0.5
* Wed Dec 17 2008 Arjan van de Ven <arjan@linux.intel.com> 0.4
- Clean up the spec
* Tue Dec 16 2008 Anas Nashif <anas.nashif@intel.com> 0.4
- Fixed build
- Fixed rpmlint warnings
* Tue Dec  9 2008 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 0.1
- Push up release 0.1
* Tue Dec  2 2008 Anas Nashif <anas.nashif@intel.com> 0.0
- Added chkconfig meta data
* Mon Nov 24 2008 Martin Xu <martin.xu@intel.com>
- Upgrade to snapshot 371-4a7178f
* Fri Sep 26 2008 Martin Xu <martin.xu@intel.com>
- Upgrade to snapshot 305.83359bf
- Remove connman-dhclient_path.patch
- Remove libgdbus from build requirement
* Thu Sep 25 2008 Martin Xu <martin.xu@intel.com>
- add dhclient and wpa_supplicant build requirment
- Fixed init script again
* Wed Sep 24 2008 Anas Nashif <anas.nashif@intel.com> 0.0
- Fixed application path (Martin Xu)
- Fixed init script
* Wed Aug 13 2008 Peng Li <peng.li@intel.com>
- add build dependency for sqlite-devel
* Tue Aug 12 2008 Anas Nashif <anas.nashif@intel.com>
- setup the right directory
* Tue Aug 12 2008 Anas Nashif <anas.nashif@intel.com>
- Initial import into build system
* Mon Aug  4 2008 Marcel Holtmann <marcel@holtmann.org>
- Initial packaging
